--[[
AdiBags_Archaeology - Adds Archaeology items to AdiBags virtual groups
Copyright © 2023 Paul Vandersypen, All Rights Reserved
]]--

local _, addon = ...
local L = addon.L

local db = {}

db.Filters = {
    ["archaeology"] = {
        uiName = PROFESSIONS_ARCHAEOLOGY,
        uiDesc = L["Archaeology Items"],
        title = PROFESSIONS_ARCHAEOLOGY,
        items = {
            -- itemID                   -- item name
            [52843]     = true,         -- Dwarf Rune Stone (key stone)
            [63127]     = true,         -- Highborne Scroll (key stone)
            [63128]     = true,         -- Troll Tablet (key stone)
            [64392]     = true,         -- Orc Blood Text (key stone)
            [64394]     = true,         -- Draenei Tome (key stone)
            [64395]     = true,         -- Vrykul Rune Stick (key stone)
            [64396]     = true,         -- Nerubian Obelisk (key stone)
            [64397]     = true,         -- Tol'vir Hieroglyphic (key stone)
            [64657]     = true,         -- Canopic Jar
            [79868]     = true,         -- Pandaren Pottery Shard (key stone)
            [79869]     = true,         -- Mogu Statue Piece (key stone)
            [79896]     = true,         -- Pandaren Tea Set
            [79897]     = true,         -- Pandaren Game Board
            [79898]     = true,         -- Twin Stein Set
            [79899]     = true,         -- Walking Cane
            [79900]     = true,         -- Empty Keg
            [79901]     = true,         -- Carved Bronze Mirror
            [79902]     = true,         -- Gold-Inlaid Figurine
            [79903]     = true,         -- Apothecary Tins
            [79904]     = true,         -- Pearl of Yu'lon
            [79905]     = true,         -- Standard of Niuzao
            [79908]     = true,         -- Manacles of Rebellion
            [79909]     = true,         -- Cracked Mogu Runestone
            [79910]     = true,         -- Terracotta Arm
            [79911]     = true,         -- Petrified Bone Whip
            [79912]     = true,         -- Thunder King Insignia
            [79913]     = true,         -- Edicts of the Thunder King
            [79914]     = true,         -- Iron Amulet
            [79915]     = true,         -- Warlord's Branding Iron
            [79916]     = true,         -- Mogu Coin
            [79917]     = true,         -- Worn Monument Ledger
            [87399]     = true,         -- Restored Artifact
            [87533]     = true,         -- Crate of Dwarf Archaeology Fragments
            [87534]     = true,         -- Crate of Draenei Archaeology Fragments
            [87535]     = true,         -- Crate of Fossil Archaeology Fragments
            [87536]     = true,         -- Crate of Night Elf Archaeology Fragments
            [87537]     = true,         -- Crate of Nerubian Archaeology Fragments
            [87538]     = true,         -- Crate of Orc Archaeology Fragments
            [87539]     = true,         -- Crate of Tol'vir Archaeology Fragments
            [87540]     = true,         -- Crate of Troll Archaeology Fragments
            [87541]     = true,         -- Crate of Vrykul Archaeology Fragments
            [87548]     = true,         -- Lorewalker's Lodestone
            [87549]     = true,         -- Lorewalker's Map
            [89169]     = true,         -- Pristine Manacles of Rebellion
            [89170]     = true,         -- Pristine Mogu Runestone
            [89171]     = true,         -- Pristine Terracotta Arm
            [89172]     = true,         -- Pristine Petrified Bone Whip
            [89173]     = true,         -- Pristine Thunder King Insignia
            [89174]     = true,         -- Pristine Edicts of the Thunder King
            [89175]     = true,         -- Pristine Iron Amulet
            [89176]     = true,         -- Pristine Branding Iron
            [95373]     = true,         -- Mantid Amber Sliver (key stone)
            [95375]     = true,         -- Banner of the Mantid Empire
            [95376]     = true,         -- Ancient Sap Feeder
            [95377]     = true,         -- The Praying Mantid
            [95378]     = true,         -- Inert Sound Beacon
            [95379]     = true,         -- Remains of a Paragon
            [95380]     = true,         -- Mantid Lamp
            [95381]     = true,         -- Pollen Collector
            [95382]     = true,         -- Kypari Sap Container
            [95383]     = true,         -- Pristine Banner of the Mantid Empire
            [95384]     = true,         -- Pristine Ancient Sap Feeder
            [95385]     = true,         -- Pristine Praying Mantid
            [95386]     = true,         -- Pristine Sound Beacon
            [95387]     = true,         -- Pristine Remains of a Paragon
            [95388]     = true,         -- Pristine Mantid Lamp
            [95389]     = true,         -- Pristine Pollen Collector
            [95390]     = true,         -- Pristine Kypari Sap Container
            [104198]    = true,         -- Mantid Artifact Hunter's Kit
            [108439]    = true,         -- Draenor Clan Orator Cane (key stone)
            [109584]    = true,         -- Ogre Missive (key stone)
            [109585]    = true,         -- Arakkoa Cipher (key stone)
            [109586]    = true,         -- Brittle Cartography Journal (WoD)
            [114141]    = true,         -- Fang-Scarred Frostwolf Axe
            [114142]    = true,         -- Pristine Fang-Scarred Frostwolf Axe
            [114143]    = true,         -- Frostwolf Ancestry Scrimshaw
            [114144]    = true,         -- Pristine Frostwolf Ancestry Scrimshaw
            [114145]    = true,         -- Wolfskin Snowshoes
            [114146]    = true,         -- Pristine Wolfskin Snowshoes
            [114147]    = true,         -- Warsinger's Drums
            [114148]    = true,         -- Pristine Warsinger's Drums
            [114149]    = true,         -- Screaming Bullroarer
            [114150]    = true,         -- Pristine Screaming Bullroarer
            [114151]    = true,         -- Warsong Ceremonial Pike
            [114152]    = true,         -- Pristine Warsong Ceremonial Pike
            [114153]    = true,         -- Metalworker's Hammer
            [114154]    = true,         -- Pristine Metalworker's Hammer
            [114155]    = true,         -- Elemental Bellows
            [114156]    = true,         -- Pristine Elemental Bellows
            [114157]    = true,         -- Blackrock Razor
            [114158]    = true,         -- Pristine Blackrock Razor
            [114159]    = true,         -- Weighted Chopping Axe
            [114160]    = true,         -- Pristine Weighted Chopping Axe
            [114161]    = true,         -- Hooked Dagger
            [114162]    = true,         -- Pristine Hooked Dagger
            [114163]    = true,         -- Barbed Fishing Hook
            [114164]    = true,         -- Pristine Barbed Fishing Hook
            [114165]    = true,         -- Calcified Eye In a Jar
            [114166]    = true,         -- Pristine Calcified Eye In a Jar
            [114167]    = true,         -- Ceremonial Tattoo Needles
            [114168]    = true,         -- Pristine Ceremonial Tattoo Needles
            [114169]    = true,         -- Cracked Ivory Idol
            [114170]    = true,         -- Pristine Cracked Ivory Idol
            [114171]    = true,         -- Ancestral Talisman
            [114172]    = true,         -- Pristine Ancestral Talisman
            [114173]    = true,         -- Flask of Blazegrease
            [114174]    = true,         -- Pristine Flask of Blazegrease
            [114175]    = true,         -- Gronn-Tooth Necklace
            [114176]    = true,         -- Pristine Gronn-Tooth Necklace
            [114177]    = true,         -- Doomsday Prophecy
            [114178]    = true,         -- Pristine Doomsday Prophecy
            [114179]    = true,         -- Headdress of the First Shaman
            [114180]    = true,         -- Pristine Headdress of the First Shaman
            [114181]    = true,         -- Stonemaul Succession Stone
            [114182]    = true,         -- Pristine Stonemaul Succession Stone
            [114183]    = true,         -- Stone Manacles
            [114184]    = true,         -- Pristine Stone Manacles
            [114185]    = true,         -- Ogre Figurine
            [114186]    = true,         -- Pristine Ogre Figurine
            [114187]    = true,         -- Pictogram Carving
            [114188]    = true,         -- Pristine Pictogram Carving
            [114189]    = true,         -- Gladiator's Shield
            [114190]    = true,         -- Mortar and Pestle
            [114191]    = true,         -- Eye of Har'gunn the Blind
            [114192]    = true,         -- Stone Dentures
            [114193]    = true,         -- Rylak Riding Harness
            [114194]    = true,         -- Imperial Decree Stele
            [114195]    = true,         -- Sorcerer-King Toe Ring
            [114196]    = true,         -- Warmaul of the Warmaul Chieftain
            [114197]    = true,         -- Dreamcatcher
            [114198]    = true,         -- Burial Urn
            [114199]    = true,         -- Decree Scrolls
            [114200]    = true,         -- Solar Orb
            [114201]    = true,         -- Sundial
            [114202]    = true,         -- Talonpriest Mask
            [114203]    = true,         -- Outcast Dreamcatcher
            [114204]    = true,         -- Apexis Crystal
            [114205]    = true,         -- Apexis Hieroglyph
            [114206]    = true,         -- Apexis Scroll
            [114207]    = true,         -- Beakbreaker of Terokk
            [114208]    = true,         -- Pristine Gladiator's Shield
            [114209]    = true,         -- Pristine Mortar and Pestle
            [114210]    = true,         -- Pristine Eye of Har'gunn the Blind
            [114211]    = true,         -- Pristine Stone Dentures
            [114212]    = true,         -- Pristine Rylak Riding Harness
            [114213]    = true,         -- Pristine Imperial Decree Stele
            [114214]    = true,         -- Pristine Sorcerer-King Toe Ring
            [114215]    = true,         -- Pristine Dreamcatcher
            [114216]    = true,         -- Pristine Burial Urn
            [114217]    = true,         -- Pristine Decree Scrolls
            [114218]    = true,         -- Pristine Solar Orb
            [114219]    = true,         -- Pristine Sundial
            [114220]    = true,         -- Pristine Talonpriest Mask
            [114221]    = true,         -- Pristine Outcast Dreamcatcher
            [114222]    = true,         -- Pristine Apexis Crystal
            [114223]    = true,         -- Pristine Apexis Hieroglyph
            [114224]    = true,         -- Pristine Apexis Scroll
            [117386]    = true,         -- Crate of Pandaren Archaeology Fragments
            [117387]    = true,         -- Crate of Mogu Archaeology Fragments
            [117388]    = true,         -- Crate of Mantid Archaeology Fragments
            [117389]    = true,         -- Draenor Achaeologist's Lodestone
            [117390]    = true,         -- Draenor Archaeologist's Map
            [118728]    = true,         -- Shadowmoon Valley Treasure Map
            [118729]    = true,         -- Gorgrond Treasure Map
            [118730]    = true,         -- Talador Treasure Map
            [118731]    = true,         -- Spires of Arak Treasure Map
            [118732]    = true,         -- Nagrand Treasure Map
            [122606]    = true,         -- Explorer's Notebook
            [130903]    = true,         -- Ancient Suramar Scroll (key stone)
            [130904]    = true,         -- Highmountain Ritual-Stone (key stone)
            [130905]    = true,         -- Mark of the Deceiver (key stone)
            [130906]    = true,         -- Violetglass Vessel
            [130907]    = true,         -- Inert Leystone Charm
            [130908]    = true,         -- Quietwine Vial
            [130909]    = true,         -- Pre-War Highborne Tapestry
            [130910]    = true,         -- Nobleman's Letter Opener
            [130911]    = true,         -- Trailhead Drum
            [130912]    = true,         -- Moosebone Fish-Hook
            [130913]    = true,         -- Hand-Smoothed Pyrestone
            [130914]    = true,         -- Drogbar Gem-Roller
            [130915]    = true,         -- Stonewood Bow
            [130916]    = true,         -- Imp's Cup
            [130917]    = true,         -- Flayed-Skin Chronicle
            [130918]    = true,         -- Malformed Abyssal
            [130919]    = true,         -- Orb of Inner Chaos
            [130920]    = true,         -- Houndstooth Hauberk
            [130921]    = true,         -- Pristine Violetglass Vessel
            [130922]    = true,         -- Pristine Inert Leystone Charm
            [130923]    = true,         -- Pristine Quietwine Vial
            [130924]    = true,         -- Pristine Pre-War Highborne Tapestry
            [130925]    = true,         -- Pristine Nobleman's Letter Opener
            [130926]    = true,         -- Pristine Trailhead Drum
            [130927]    = true,         -- Pristine Moosebone Fish-Hook
            [130928]    = true,         -- Pristine Hand-Smoothed Pyrestone
            [130929]    = true,         -- Pristine Drogbar Gem-Roller
            [130930]    = true,         -- Pristine Stonewood Bow
            [130931]    = true,         -- Pristine Imp's Cup
            [130932]    = true,         -- Pristine Flayed-Skin Chronicle
            [130933]    = true,         -- Pristine Malformed Abyssal
            [130934]    = true,         -- Pristine Orb of Inner Chaos
            [130935]    = true,         -- Pristine Houndstooth Hauberk
            [134086]    = true,         -- Surveying Equipment
            [135488]    = true,         -- Goblin Explosives
            [136372]    = true,         -- Archaeologist's Whistle
            [136632]    = true,         -- Ancient War Remnants
            [136383]    = true,         -- Ravencrest Cache
            [136419]    = true,         -- Excavator's Notebook (Legion)
            [142113]    = true,         -- Crate of Arakkoa Archaeology Fragments
            [142114]    = true,         -- Crate of Draenor Clans Archaeology Fragments
            [142115]    = true,         -- Crate of Ogre Archaeology Fragments
            [154913]    = true,         -- Akun'Jar Vase
            [154914]    = true,         -- Urn of Passage
            [154915]    = true,         -- Rezan Idol
            [154916]    = true,         -- High Apothecary's Hood
            [154917]    = true,         -- Bwonsamdi Voodoo Mask
            [154921]    = true,         -- Ceremonial Bonesaw
            [154922]    = true,         -- Ancient Runebound Tome
            [154923]    = true,         -- Disembowling Sickle
            [154924]    = true,         -- Jagged Blade of the Drust
            [154925]    = true,         -- Ritual Fetish
            [154926]    = true,         -- Pristine Ceremonial Bonesaw
            [154927]    = true,         -- Pristine Ancient Runebound Tome
            [154928]    = true,         -- Pristine Disembowling Sickle
            [154929]    = true,         -- Pristine Jagged Blade of the Drust
            [154930]    = true,         -- Pristine Ritual Fetish
            [154931]    = true,         -- Pristine Akun'Jar Vase
            [154932]    = true,         -- Pristine Urn of Passage
            [154933]    = true,         -- Pristine Rezan Idol
            [154934]    = true,         -- Pristine High Apothecary's Hood
            [154935]    = true,         -- Pristine Bwonsamdi Voodoo Mask
            [154989]    = true,         -- Zandalari Idol (key stone)
            [154990]    = true,         -- Etched Drust Bone (key stone)
            [160741]    = true,         -- Soul Coffer
            [160742]    = true,         -- Pristine Soul Coffer
            [160743]    = true,         -- Blowgun of the Sethra
            [160744]    = true,         -- Pristine Blowgun of the Sethrak
            [164625]    = true,         -- Crate of Demon Archaeology Fragments
            [164626]    = true,         -- Crate of Highborne Archaeology Fragments
            [164627]    = true,         -- Crate of Highmountain Tauren Archaeology Fragments
            [183384]    = true,         -- Crate of Drust Archaeology Fragments
            [183385]    = true,         -- Crate of Zandalari Archaeology Fragments
        }
    }
}

-- return data to main file
addon.db = db